Subject: Packman

From: "Yaakov Stein" <[email-masked]>
Date: Thu, 20 Mar 2003 18:28:02 +0200

As you all saw yesterday, due to congestion I had 
my wire pulled.

What I didn't get to say was that the program
I use to measure packet loss and delay variation,
"PACKMAN", runs on a standard Windows PC.

It basically sends a periodic stream of empty
TDMoIP (draft-anavi) packets, at a configurable
rate, and measures packet loss. It also measures
the standard deviation of the arrival time difference
(the next version will use the OAM mechanism decribed
in draft-anavi to measure one-way delay, etc. as well).

I have run it over various private networks
and Internet links, with interesting results.
In particular, I have discovered that the great majority
of lost packets are isolated, and not packet loss bursts.
This is apparently due to (W)RED mechanisms.

When there are duplicate packets lost, this tends
to happen at a periodic rate.
We believe this is due to IGRP table updates.

If anyone would like to perform measurements
on their own networks, or even get together
to set up streams across the Internet, 
I could make PACKMAN available.

Y(J)S